Not able to run open source code

I am new to flutter trying to clone some open source code and try to run the application. Every downloaded source code has an issues. Not able to figure it out. What to do??